Class Specialization
PriorityHeap
Stores the priority data on a heap.

PriorityType

PriorityHeap

PriorityType<TValue, TLess, PriorityHeap> >
Include Headers
seqan/misc.h
Specialization of
PriorityType
Metafunctions

Size | Type of an object that is suitable to hold size information. (PriorityType)
Value | Type of the items in the container. (PriorityType)

Functions

adjustTop | Adjusts the priority of the first item. (PriorityType)
clear | Resets an object. (PriorityType)
empty | Test a container for being empty. (PriorityType)
length | The number of items/characters. (PriorityType)
pop | Deletes item with the highest priority and adjusts the priority queue. (PriorityType)
push | Inserts a new item and adjusts the priority queue if necessary. (PriorityType)
top | Reference to the item with the highest priority. (PriorityType)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51